# Client App
FROM node:14.17-alpine3.14 as builder

COPY ./client /client
WORKDIR /client

RUN npm install && npm run build

# Server App
FROM node:14.17-alpine3.14

ARG SERVER_NODE_ENV
ENV NODE_ENV ${SERVER_NODE_ENV}

COPY ./server /server
WORKDIR /server

COPY --from=builder /client/public /server/public

RUN npm install
EXPOSE 3030
RUN [ "chmod", "+x", "/server/docker-entrypoint.sh" ]
ENTRYPOINT [ "/server/docker-entrypoint.sh" ]
